HostsResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class HostsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.HostsResourceApi

-     public class HostsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostsResourceApi()`
    `HostsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ApiEntityTag>` | `addTags(String hostname, List<ApiEntityTag> body)` Attach tags to the host.
    `okhttp3.Call` | `addTagsAsync(String hostname, List<ApiEntityTag> body, ApiCallback<List<ApiEntityTag>> callback)` Attach tags to the host.
    `okhttp3.Call` | `addTagsCall(String hostname, List<ApiEntityTag> body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for addTags
    `ApiResponse<List<ApiEntityTag>>` | `addTagsWithHttpInfo(String hostname, List<ApiEntityTag> body)` Attach tags to the host.
    `ApiHostList` | `createHosts(ApiHostList body)` .
    `okhttp3.Call` | `createHostsAsync(ApiHostList body, ApiCallback<ApiHostList> callback)` .
    `okhttp3.Call` | `createHostsCall(ApiHostList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createHosts
    `ApiResponse<ApiHostList>` | `createHostsWithHttpInfo(ApiHostList body)` .
    `ApiHostList` | `deleteAllHosts()` Delete all hosts in the system.
    `okhttp3.Call` | `deleteAllHostsAsync(ApiCallback<ApiHostList> callback)` Delete all hosts in the system.
    `okhttp3.Call` | `deleteAllHostsCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteAllHosts
    `ApiResponse<ApiHostList>` | `deleteAllHostsWithHttpInfo()` Delete all hosts in the system.
    `ApiHost` | `deleteHost(String hostId)` Delete a host from the system.
    `okhttp3.Call` | `deleteHostAsync(String hostId, ApiCallback<ApiHost> callback)` Delete a host from the system.
    `okhttp3.Call` | `deleteHostCall(String hostId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteHost
    `ApiResponse<ApiHost>` | `deleteHostWithHttpInfo(String hostId)` Delete a host from the system.
    `List<ApiEntityTag>` | `deleteTags(String hostname, List<ApiEntityTag> body)` Remove the tags associated with the host.
    `okhttp3.Call` | `deleteTagsAsync(String hostname, List<ApiEntityTag> body, ApiCallback<List<ApiEntityTag>> callback)` Remove the tags associated with the host.
    `okhttp3.Call` | `deleteTagsCall(String hostname, List<ApiEntityTag> body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteTags
    `ApiResponse<List<ApiEntityTag>>` | `deleteTagsWithHttpInfo(String hostname, List<ApiEntityTag> body)` Remove the tags associated with the host.
    `ApiCommand` | `enterMaintenanceMode(String hostId)` Put the host into maintenance mode.
    `okhttp3.Call` | `enterMaintenanceModeAsync(String hostId, ApiCallback<ApiCommand> callback)` Put the host into maintenance mode.
    `okhttp3.Call` | `enterMaintenanceModeCall(String hostId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for enterMaintenanceMode
    `ApiResponse<ApiCommand>` | `enterMaintenanceModeWithHttpInfo(String hostId)` Put the host into maintenance mode.
    `ApiCommand` | `exitMaintenanceMode(String hostId)` Take the host out of maintenance mode.
    `okhttp3.Call` | `exitMaintenanceModeAsync(String hostId, ApiCallback<ApiCommand> callback)` Take the host out of maintenance mode.
    `okhttp3.Call` | `exitMaintenanceModeCall(String hostId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for exitMaintenanceMode
    `ApiResponse<ApiCommand>` | `exitMaintenanceModeWithHttpInfo(String hostId)` Take the host out of maintenance mode.
    `ApiCommand` | `generateHostCerts(String hostId, ApiGenerateHostCertsArguments body)` Generates (or regenerates) a key and certificate for this host if Auto-TLS is enabled.
    `okhttp3.Call` | `generateHostCertsAsync(String hostId, ApiGenerateHostCertsArguments body, ApiCallback<ApiCommand> callback)` Generates (or regenerates) a key and certificate for this host if Auto-TLS is enabled.
    `okhttp3.Call` | `generateHostCertsCall(String hostId, ApiGenerateHostCertsArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for generateHostCerts
    `ApiResponse<ApiCommand>` | `generateHostCertsWithHttpInfo(String hostId, ApiGenerateHostCertsArguments body)` Generates (or regenerates) a key and certificate for this host if Auto-TLS is enabled.
    `ApiClient` | `getApiClient()`
    `List<ApiComponentInfo>` | `getHostComponents(String hostId)` Returns the list of Component details on the requested host.
    `okhttp3.Call` | `getHostComponentsAsync(String hostId, ApiCallback<List<ApiComponentInfo>> callback)` Returns the list of Component details on the requested host.
    `okhttp3.Call` | `getHostComponentsCall(String hostId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getHostComponents
    `ApiResponse<List<ApiComponentInfo>>` | `getHostComponentsWithHttpInfo(String hostId)` Returns the list of Component details on the requested host.
    `ApiMetricList` | `getMetrics(String hostId, String from, List<String> ifs, List<String> metrics, Boolean queryNw, Boolean queryStorage, List<String> storageIds, String to, String view)` Fetch metric readings for a host.
    `okhttp3.Call` | `getMetricsAsync(String hostId, String from, List<String> ifs, List<String> metrics, Boolean queryNw, Boolean queryStorage, List<String> storageIds, String to, String view, ApiCallback<ApiMetricList> callback)` Fetch metric readings for a host.
    `okhttp3.Call` | `getMetricsCall(String hostId, String from, List<String> ifs, List<String> metrics, Boolean queryNw, Boolean queryStorage, List<String> storageIds, String to, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getMetrics
    `ApiResponse<ApiMetricList>` | `getMetricsWithHttpInfo(String hostId, String from, List<String> ifs, List<String> metrics, Boolean queryNw, Boolean queryStorage, List<String> storageIds, String to, String view)` Fetch metric readings for a host.
    `ApiHostMaintenanceResponseList` | `hostsEnterMaintenanceMode(ApiHostNameList body)` Puts a set of hosts into Maintenance mode.
    `okhttp3.Call` | `hostsEnterMaintenanceModeAsync(ApiHostNameList body, ApiCallback<ApiHostMaintenanceResponseList> callback)` Puts a set of hosts into Maintenance mode.
    `okhttp3.Call` | `hostsEnterMaintenanceModeCall(ApiHostNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hostsEnterMaintenanceMode
    `ApiResponse<ApiHostMaintenanceResponseList>` | `hostsEnterMaintenanceModeWithHttpInfo(ApiHostNameList body)` Puts a set of hosts into Maintenance mode.
    `ApiCommand` | `migrateRoles(String hostId, ApiMigrateRolesArguments body)` Migrate roles to a different host.
    `okhttp3.Call` | `migrateRolesAsync(String hostId, ApiMigrateRolesArguments body, ApiCallback<ApiCommand> callback)` Migrate roles to a different host.
    `okhttp3.Call` | `migrateRolesCall(String hostId, ApiMigrateRolesArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for migrateRoles
    `ApiResponse<ApiCommand>` | `migrateRolesWithHttpInfo(String hostId, ApiMigrateRolesArguments body)` Migrate roles to a different host.
    `ApiHost` | `readHost(String hostId, String view)` Returns a specific Host in the system.
    `okhttp3.Call` | `readHostAsync(String hostId, String view, ApiCallback<ApiHost> callback)` Returns a specific Host in the system.
    `okhttp3.Call` | `readHostCall(String hostId, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readHost
    `ApiConfigList` | `readHostConfig(String hostId, String view)` Retrieves the configuration of a specific host.
    `okhttp3.Call` | `readHostConfigAsync(String hostId, String view, ApiCallback<ApiConfigList> callback)` Retrieves the configuration of a specific host.
    `okhttp3.Call` | `readHostConfigCall(String hostId, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readHostConfig
    `ApiResponse<ApiConfigList>` | `readHostConfigWithHttpInfo(String hostId, String view)` Retrieves the configuration of a specific host.
    `ApiHostList` | `readHosts(String configName, String configValue, String view)` Returns hosts in the system filtered by optional host configuration parameters, if specified.
    `okhttp3.Call` | `readHostsAsync(String configName, String configValue, String view, ApiCallback<ApiHostList> callback)` Returns hosts in the system filtered by optional host configuration parameters, if specified.
    `okhttp3.Call` | `readHostsCall(String configName, String configValue, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readHosts
    `ApiResponse<ApiHostList>` | `readHostsWithHttpInfo(String configName, String configValue, String view)` Returns hosts in the system filtered by optional host configuration parameters, if specified.
    `ApiResponse<ApiHost>` | `readHostWithHttpInfo(String hostId, String view)` Returns a specific Host in the system.
    `List<ApiEntityTag>` | `readTags(String hostname, BigDecimal limit, BigDecimal offset)` Returns the tags associated with this host.
    `okhttp3.Call` | `readTagsAsync(String hostname, BigDecimal limit, BigDecimal offset, ApiCallback<List<ApiEntityTag>> callback)` Returns the tags associated with this host.
    `okhttp3.Call` | `readTagsCall(String hostname, BigDecimal limit, BigDecimal offset, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readTags
    `ApiResponse<List<ApiEntityTag>>` | `readTagsWithHttpInfo(String hostname, BigDecimal limit, BigDecimal offset)` Returns the tags associated with this host.
    `ApiGenericResponse` | `reallocateMemory(ApiHostNameList body)` Performs memory reallocation on set of hosts.
    `okhttp3.Call` | `reallocateMemoryAsync(ApiHostNameList body, ApiCallback<ApiGenericResponse> callback)` Performs memory reallocation on set of hosts.
    `okhttp3.Call` | `reallocateMemoryCall(ApiHostNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for reallocateMemory
    `ApiResponse<ApiGenericResponse>` | `reallocateMemoryWithHttpInfo(ApiHostNameList body)` Performs memory reallocation on set of hosts.
    `ApiCommand` | `removeHostsFromCluster(ApiHostsToRemoveArgs body)` Decommissions and deletes all non management roles from the list of hosts and removes the hosts from the cluster.
    `okhttp3.Call` | `removeHostsFromClusterAsync(ApiHostsToRemoveArgs body, ApiCallback<ApiCommand> callback)` Decommissions and deletes all non management roles from the list of hosts and removes the hosts from the cluster.
    `okhttp3.Call` | `removeHostsFromClusterCall(ApiHostsToRemoveArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for removeHostsFromCluster
    `ApiResponse<ApiCommand>` | `removeHostsFromClusterWithHttpInfo(ApiHostsToRemoveArgs body)` Decommissions and deletes all non management roles from the list of hosts and removes the hosts from the cluster.
    `ApiCommand` | `resetHostId(String hostId, String newHostId)` Forces agent on specified host to switch to reporting a different host id.
    `okhttp3.Call` | `resetHostIdAsync(String hostId, String newHostId, ApiCallback<ApiCommand> callback)` Forces agent on specified host to switch to reporting a different host id.
    `okhttp3.Call` | `resetHostIdCall(String hostId, String newHostId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for resetHostId
    `ApiResponse<ApiCommand>` | `resetHostIdWithHttpInfo(String hostId, String newHostId)` Forces agent on specified host to switch to reporting a different host id.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiCommand` | `stopAllRolesOnNodeGracefully(String hostname)` .
    `okhttp3.Call` | `stopAllRolesOnNodeGracefullyAsync(String hostname, ApiCallback<ApiCommand> callback)` .
    `okhttp3.Call` | `stopAllRolesOnNodeGracefullyCall(String hostname, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for stopAllRolesOnNodeGracefully
    `ApiResponse<ApiCommand>` | `stopAllRolesOnNodeGracefullyWithHttpInfo(String hostname)` .
    `ApiHost` | `updateHost(String hostId, ApiHost body)` .
    `okhttp3.Call` | `updateHostAsync(String hostId, ApiHost body, ApiCallback<ApiHost> callback)` .
    `okhttp3.Call` | `updateHostCall(String hostId, ApiHost body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateHost
    `ApiConfigList` | `updateHostConfig(String hostId, ApiConfigList body, String message)` Updates the host configuration with the given values.
    `okhttp3.Call` | `updateHostConfigAsync(String hostId, ApiConfigList body, String message, ApiCallback<ApiConfigList> callback)` Updates the host configuration with the given values.
    `okhttp3.Call` | `updateHostConfigCall(String hostId, ApiConfigList body, String message, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateHostConfig
    `ApiResponse<ApiConfigList>` | `updateHostConfigWithHttpInfo(String hostId, ApiConfigList body, String message)` Updates the host configuration with the given values.
    `ApiResponse<ApiHost>` | `updateHostWithHttpInfo(String hostId, ApiHost body)` .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostsResourceApi

          public HostsResourceApi()

    - #### HostsResourceApi

          public HostsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### addTagsCall

          public okhttp3.Call addTagsCall(String hostname,
                                          List<ApiEntityTag> body,
                                          ProgressResponseBody.ProgressListener progressListener,
                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                   throws ApiException

      Build call for addTags
      Parameters:
        `hostname` - Name of the host (required)
        `body` - List of tags to add to the host (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### addTags

          public List<ApiEntityTag> addTags(String hostname,
                                            List<ApiEntityTag> body)
                                     throws ApiException

      Attach tags to the host. Attach tags to the host. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `hostname` - Name of the host (required)
        `body` - List of tags to add to the host (optional)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> addTagsWithHttpInfo(String hostname,
                                                                     List<ApiEntityTag> body)
                                                              throws ApiException

      Attach tags to the host. Attach tags to the host. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `hostname` - Name of the host (required)
        `body` - List of tags to add to the host (optional)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTagsAsync

          public okhttp3.Call addTagsAsync(String hostname,
                                           List<ApiEntityTag> body,
                                           ApiCallback<List<ApiEntityTag>> callback)
                                    throws ApiException

      Attach tags to the host. (asynchronously) Attach tags to the host. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `hostname` - Name of the host (required)
        `body` - List of tags to add to the host (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### createHostsCall

          public okhttp3.Call createHostsCall(ApiHostList body,
                                              ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for createHosts
      Parameters:
        `body` - The list of hosts to create (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createHosts

          public ApiHostList createHosts(ApiHostList body)
                                  throws ApiException

      . <p>Create one or more hosts.</p> <p>You must specify at least the hostname and ipAddress in the request objects. If no hostId is specified, it will be set to the hostname. It is an error to try and create host with the same hostId as another host.</p>
      Parameters:
        `body` - The list of hosts to create (optional)
      Returns:
        ApiHostList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createHostsWithHttpInfo

          public ApiResponse<ApiHostList> createHostsWithHttpInfo(ApiHostList body)
                                                           throws ApiException

      . <p>Create one or more hosts.</p> <p>You must specify at least the hostname and ipAddress in the request objects. If no hostId is specified, it will be set to the hostname. It is an error to try and create host with the same hostId as another host.</p>
      Parameters:
        `body` - The list of hosts to create (optional)
      Returns:
        ApiResponse<ApiHostList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createHostsAsync

          public okhttp3.Call createHostsAsync(ApiHostList body,
                                               ApiCallback<ApiHostList> callback)
                                        throws ApiException

      . (asynchronously) <p>Create one or more hosts.</p> <p>You must specify at least the hostname and ipAddress in the request objects. If no hostId is specified, it will be set to the hostname. It is an error to try and create host with the same hostId as another host.</p>
      Parameters:
        `body` - The list of hosts to create (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteAllHostsCall

          public okhttp3.Call deleteAllHostsCall(ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for deleteAllHosts
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteAllHosts

          public ApiHostList deleteAllHosts()
                                     throws ApiException

      Delete all hosts in the system. Delete all hosts in the system
      Returns:
        ApiHostList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteAllHostsWithHttpInfo

          public ApiResponse<ApiHostList> deleteAllHostsWithHttpInfo()
                                                              throws ApiException

      Delete all hosts in the system. Delete all hosts in the system
      Returns:
        ApiResponse<ApiHostList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteAllHostsAsync

          public okhttp3.Call deleteAllHostsAsync(ApiCallback<ApiHostList> callback)
                                           throws ApiException

      Delete all hosts in the system. (asynchronously) Delete all hosts in the system
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteHostCall

          public okhttp3.Call deleteHostCall(String hostId,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for deleteHost
      Parameters:
        `hostId` - The ID of the host to remove (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteHost

          public ApiHost deleteHost(String hostId)
                             throws ApiException

      Delete a host from the system. Delete a host from the system
      Parameters:
        `hostId` - The ID of the host to remove (required)
      Returns:
        ApiHost
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteHostWithHttpInfo

          public ApiResponse<ApiHost> deleteHostWithHttpInfo(String hostId)
                                                      throws ApiException

      Delete a host from the system. Delete a host from the system
      Parameters:
        `hostId` - The ID of the host to remove (required)
      Returns:
        ApiResponse<ApiHost>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteHostAsync

          public okhttp3.Call deleteHostAsync(String hostId,
                                              ApiCallback<ApiHost> callback)
                                       throws ApiException

      Delete a host from the system. (asynchronously) Delete a host from the system
      Parameters:
        `hostId` - The ID of the host to remove (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteTagsCall

          public okhttp3.Call deleteTagsCall(String hostname,
                                             List<ApiEntityTag> body,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for deleteTags
      Parameters:
        `hostname` - Name of the host to remove tags from (required)
        `body` - List of tags to remove from the host (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteTags

          public List<ApiEntityTag> deleteTags(String hostname,
                                               List<ApiEntityTag> body)
                                        throws ApiException

      Remove the tags associated with the host. Remove the tags associated with the host. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `hostname` - Name of the host to remove tags from (required)
        `body` - List of tags to remove from the host (optional)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> deleteTagsWithHttpInfo(String hostname,
                                                                        List<ApiEntityTag> body)
                                                                 throws ApiException

      Remove the tags associated with the host. Remove the tags associated with the host. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `hostname` - Name of the host to remove tags from (required)
        `body` - List of tags to remove from the host (optional)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteTagsAsync

          public okhttp3.Call deleteTagsAsync(String hostname,
                                              List<ApiEntityTag> body,
                                              ApiCallback<List<ApiEntityTag>> callback)
                                       throws ApiException

      Remove the tags associated with the host. (asynchronously) Remove the tags associated with the host. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `hostname` - Name of the host to remove tags from (required)
        `body` - List of tags to remove from the host (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### enterMaintenanceModeCall

          public okhttp3.Call enterMaintenanceModeCall(String hostId,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for enterMaintenanceMode
      Parameters:
        `hostId` - The ID of the host (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### enterMaintenanceMode

          public ApiCommand enterMaintenanceMode(String hostId)
                                          throws ApiException

      Put the host into maintenance mode. Put the host into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v2.</p>
      Parameters:
        `hostId` - The ID of the host (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> enterMaintenanceModeWithHttpInfo(String hostId)
                                                                   throws ApiException

      Put the host into maintenance mode. Put the host into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v2.</p>
      Parameters:
        `hostId` - The ID of the host (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeAsync

          public okhttp3.Call enterMaintenanceModeAsync(String hostId,
                                                        ApiCallback<ApiCommand> callback)
                                                 throws ApiException

      Put the host into maintenance mode. (asynchronously) Put the host into maintenance mode. This is a synchronous command. The result is known immediately upon return. <p>Available since API v2.</p>
      Parameters:
        `hostId` - The ID of the host (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### exitMaintenanceModeCall

          public okhttp3.Call exitMaintenanceModeCall(String hostId,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for exitMaintenanceMode
      Parameters:
        `hostId` - The ID of the host (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### exitMaintenanceMode

          public ApiCommand exitMaintenanceMode(String hostId)
                                         throws ApiException

      Take the host out of maintenance mode. Take the host out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v2. </p>
      Parameters:
        `hostId` - The ID of the host (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> exitMaintenanceModeWithHttpInfo(String hostId)
                                                                  throws ApiException

      Take the host out of maintenance mode. Take the host out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v2. </p>
      Parameters:
        `hostId` - The ID of the host (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeAsync

          public okhttp3.Call exitMaintenanceModeAsync(String hostId,
                                                       ApiCallback<ApiCommand> callback)
                                                throws ApiException

      Take the host out of maintenance mode. (asynchronously) Take the host out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v2. </p>
      Parameters:
        `hostId` - The ID of the host (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### generateHostCertsCall

          public okhttp3.Call generateHostCertsCall(String hostId,
                                                    ApiGenerateHostCertsArguments body,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for generateHostCerts
      Parameters:
        `hostId` - The ID of the host to generate a certificate for. (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### generateHostCerts

          public ApiCommand generateHostCerts(String hostId,
                                              ApiGenerateHostCertsArguments body)
                                       throws ApiException

      Generates (or regenerates) a key and certificate for this host if Auto-TLS is enabled. Generates (or regenerates) a key and certificate for this host if Auto-TLS is enabled.
      Parameters:
        `hostId` - The ID of the host to generate a certificate for. (required)
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateHostCertsWithHttpInfo

          public ApiResponse<ApiCommand> generateHostCertsWithHttpInfo(String hostId,
                                                                       ApiGenerateHostCertsArguments body)
                                                                throws ApiException

      Generates (or regenerates) a key and certificate for this host if Auto-TLS is enabled. Generates (or regenerates) a key and certificate for this host if Auto-TLS is enabled.
      Parameters:
        `hostId` - The ID of the host to generate a certificate for. (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateHostCertsAsync

          public okhttp3.Call generateHostCertsAsync(String hostId,
                                                     ApiGenerateHostCertsArguments body,
                                                     ApiCallback<ApiCommand> callback)
                                              throws ApiException

      Generates (or regenerates) a key and certificate for this host if Auto-TLS is enabled. (asynchronously) Generates (or regenerates) a key and certificate for this host if Auto-TLS is enabled.
      Parameters:
        `hostId` - The ID of the host to generate a certificate for. (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getHostComponentsCall

          public okhttp3.Call getHostComponentsCall(String hostId,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for getHostComponents
      Parameters:
        `hostId` - The ID of the host. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getHostComponents

          public List<ApiComponentInfo> getHostComponents(String hostId)
                                                   throws ApiException

      Returns the list of Component details on the requested host. Returns the list of Component details on the requested host.
      Parameters:
        `hostId` - The ID of the host. (required)
      Returns:
        List<ApiComponentInfo>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getHostComponentsWithHttpInfo

          public ApiResponse<List<ApiComponentInfo>> getHostComponentsWithHttpInfo(String hostId)
                                                                            throws ApiException

      Returns the list of Component details on the requested host. Returns the list of Component details on the requested host.
      Parameters:
        `hostId` - The ID of the host. (required)
      Returns:
        ApiResponse<List<ApiComponentInfo>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getHostComponentsAsync

          public okhttp3.Call getHostComponentsAsync(String hostId,
                                                     ApiCallback<List<ApiComponentInfo>> callback)
                                              throws ApiException

      Returns the list of Component details on the requested host. (asynchronously) Returns the list of Component details on the requested host.
      Parameters:
        `hostId` - The ID of the host. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getMetricsCall

          public okhttp3.Call getMetricsCall(String hostId,
                                             String from,
                                             List<String> ifs,
                                             List<String> metrics,
                                             Boolean queryNw,
                                             Boolean queryStorage,
                                             List<String> storageIds,
                                             String to,
                                             String view,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for getMetrics
      Parameters:
        `hostId` - The host's ID. (required)
        `from` - Start of the period to query. (optional)
        `ifs` - Network interfaces to query for metrics (default = all). (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `queryNw` - Whether to query for network interface metrics. (optional, default to true)
        `queryStorage` - Whether to query for storage metrics. (optional, default to true)
        `storageIds` - Storage context IDs to query for metrics (default = all). (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getMetrics

          public ApiMetricList getMetrics(String hostId,
                                          String from,
                                          List<String> ifs,
                                          List<String> metrics,
                                          Boolean queryNw,
                                          Boolean queryStorage,
                                          List<String> storageIds,
                                          String to,
                                          String view)
                                   throws ApiException

      Fetch metric readings for a host. Fetch metric readings for a host. <p> By default, this call will look up all metrics available for the host. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available for the role, even if no readings are available in the requested window. <p> Host metrics also include per-network interface and per-storage device metrics. Since collecting this data incurs in more overhead, query parameters can be used to choose which network interfaces and storage devices to query, or to these metrics altogether. <p> Storage metrics are collected at different levels; for example, per-disk and per-partition metrics are available. The \"storageIds\" parameter can be used to filter specific storage IDs. <p> In the returned data, the network interfaces and storage IDs can be identified by looking at the \"context\" property of the metric objects.
      Parameters:
        `hostId` - The host's ID. (required)
        `from` - Start of the period to query. (optional)
        `ifs` - Network interfaces to query for metrics (default = all). (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `queryNw` - Whether to query for network interface metrics. (optional, default to true)
        `queryStorage` - Whether to query for storage metrics. (optional, default to true)
        `storageIds` - Storage context IDs to query for metrics (default = all). (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiMetricList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricsWithHttpInfo

          public ApiResponse<ApiMetricList> getMetricsWithHttpInfo(String hostId,
                                                                   String from,
                                                                   List<String> ifs,
                                                                   List<String> metrics,
                                                                   Boolean queryNw,
                                                                   Boolean queryStorage,
                                                                   List<String> storageIds,
                                                                   String to,
                                                                   String view)
                                                            throws ApiException

      Fetch metric readings for a host. Fetch metric readings for a host. <p> By default, this call will look up all metrics available for the host. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available for the role, even if no readings are available in the requested window. <p> Host metrics also include per-network interface and per-storage device metrics. Since collecting this data incurs in more overhead, query parameters can be used to choose which network interfaces and storage devices to query, or to these metrics altogether. <p> Storage metrics are collected at different levels; for example, per-disk and per-partition metrics are available. The \"storageIds\" parameter can be used to filter specific storage IDs. <p> In the returned data, the network interfaces and storage IDs can be identified by looking at the \"context\" property of the metric objects.
      Parameters:
        `hostId` - The host's ID. (required)
        `from` - Start of the period to query. (optional)
        `ifs` - Network interfaces to query for metrics (default = all). (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `queryNw` - Whether to query for network interface metrics. (optional, default to true)
        `queryStorage` - Whether to query for storage metrics. (optional, default to true)
        `storageIds` - Storage context IDs to query for metrics (default = all). (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiMetricList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricsAsync

          public okhttp3.Call getMetricsAsync(String hostId,
                                              String from,
                                              List<String> ifs,
                                              List<String> metrics,
                                              Boolean queryNw,
                                              Boolean queryStorage,
                                              List<String> storageIds,
                                              String to,
                                              String view,
                                              ApiCallback<ApiMetricList> callback)
                                       throws ApiException

      Fetch metric readings for a host. (asynchronously) Fetch metric readings for a host. <p> By default, this call will look up all metrics available for the host. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available for the role, even if no readings are available in the requested window. <p> Host metrics also include per-network interface and per-storage device metrics. Since collecting this data incurs in more overhead, query parameters can be used to choose which network interfaces and storage devices to query, or to these metrics altogether. <p> Storage metrics are collected at different levels; for example, per-disk and per-partition metrics are available. The \"storageIds\" parameter can be used to filter specific storage IDs. <p> In the returned data, the network interfaces and storage IDs can be identified by looking at the \"context\" property of the metric objects.
      Parameters:
        `hostId` - The host's ID. (required)
        `from` - Start of the period to query. (optional)
        `ifs` - Network interfaces to query for metrics (default = all). (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `queryNw` - Whether to query for network interface metrics. (optional, default to true)
        `queryStorage` - Whether to query for storage metrics. (optional, default to true)
        `storageIds` - Storage context IDs to query for metrics (default = all). (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hostsEnterMaintenanceModeCall

          public okhttp3.Call hostsEnterMaintenanceModeCall(ApiHostNameList body,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for hostsEnterMaintenanceMode
      Parameters:
        `body` - The List of Host Names that needs to go into the maintenance mode. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hostsEnterMaintenanceMode

          public ApiHostMaintenanceResponseList hostsEnterMaintenanceMode(ApiHostNameList body)
                                                                   throws ApiException

      Puts a set of hosts into Maintenance mode. Puts a set of hosts into Maintenance mode <p> Available since API v49. Since this is a bulk API, the response may contain partial failures. The returned list contains a list of responses indicating the status of the maintenance mode of the hosts. </p>
      Parameters:
        `body` - The List of Host Names that needs to go into the maintenance mode. (optional)
      Returns:
        ApiHostMaintenanceResponseList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsEnterMaintenanceModeWithHttpInfo

          public ApiResponse<ApiHostMaintenanceResponseList> hostsEnterMaintenanceModeWithHttpInfo(ApiHostNameList body)
                                                                                            throws ApiException

      Puts a set of hosts into Maintenance mode. Puts a set of hosts into Maintenance mode <p> Available since API v49. Since this is a bulk API, the response may contain partial failures. The returned list contains a list of responses indicating the status of the maintenance mode of the hosts. </p>
      Parameters:
        `body` - The List of Host Names that needs to go into the maintenance mode. (optional)
      Returns:
        ApiResponse<ApiHostMaintenanceResponseList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsEnterMaintenanceModeAsync

          public okhttp3.Call hostsEnterMaintenanceModeAsync(ApiHostNameList body,
                                                             ApiCallback<ApiHostMaintenanceResponseList> callback)
                                                      throws ApiException

      Puts a set of hosts into Maintenance mode. (asynchronously) Puts a set of hosts into Maintenance mode <p> Available since API v49. Since this is a bulk API, the response may contain partial failures. The returned list contains a list of responses indicating the status of the maintenance mode of the hosts. </p>
      Parameters:
        `body` - The List of Host Names that needs to go into the maintenance mode. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### migrateRolesCall

          public okhttp3.Call migrateRolesCall(String hostId,
                                               ApiMigrateRolesArguments body,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for migrateRoles
      Parameters:
        `hostId` - The ID of the host on which the roles to migrate currently reside (required)
        `body` - Arguments for the command. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### migrateRoles

          public ApiCommand migrateRoles(String hostId,
                                         ApiMigrateRolesArguments body)
                                  throws ApiException

      Migrate roles to a different host. Migrate roles to a different host. <p> This command applies only to HDFS NameNode, JournalNode, and Failover Controller roles. In order to migrate these roles: <ul> <li>HDFS High Availability must be enabled, using quorum-based storage.</li> <li>HDFS must not be configured to use a federated nameservice.</li> </ul> <b>Migrating a NameNode or JournalNode role requires cluster downtime</b>. HDFS, along with all of its dependent services, will be stopped at the beginning of the migration process, and restarted at its conclusion. <p>If the active NameNode is selected for migration, a manual failover will be performed before the role is migrated. The role will remain in standby mode after the migration is complete. <p>When migrating a NameNode role, the co-located Failover Controller role must be migrated as well if automatic failover is enabled. The Failover Controller role name must be included in the list of role names to migrate specified in the arguments to this command (it will not be included implicitly). This command does not allow a Failover Controller role to be moved by itself, although it is possible to move a JournalNode independently. <p> Available since API v10.
      Parameters:
        `hostId` - The ID of the host on which the roles to migrate currently reside (required)
        `body` - Arguments for the command. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### migrateRolesWithHttpInfo

          public ApiResponse<ApiCommand> migrateRolesWithHttpInfo(String hostId,
                                                                  ApiMigrateRolesArguments body)
                                                           throws ApiException

      Migrate roles to a different host. Migrate roles to a different host. <p> This command applies only to HDFS NameNode, JournalNode, and Failover Controller roles. In order to migrate these roles: <ul> <li>HDFS High Availability must be enabled, using quorum-based storage.</li> <li>HDFS must not be configured to use a federated nameservice.</li> </ul> <b>Migrating a NameNode or JournalNode role requires cluster downtime</b>. HDFS, along with all of its dependent services, will be stopped at the beginning of the migration process, and restarted at its conclusion. <p>If the active NameNode is selected for migration, a manual failover will be performed before the role is migrated. The role will remain in standby mode after the migration is complete. <p>When migrating a NameNode role, the co-located Failover Controller role must be migrated as well if automatic failover is enabled. The Failover Controller role name must be included in the list of role names to migrate specified in the arguments to this command (it will not be included implicitly). This command does not allow a Failover Controller role to be moved by itself, although it is possible to move a JournalNode independently. <p> Available since API v10.
      Parameters:
        `hostId` - The ID of the host on which the roles to migrate currently reside (required)
        `body` - Arguments for the command. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### migrateRolesAsync

          public okhttp3.Call migrateRolesAsync(String hostId,
                                                ApiMigrateRolesArguments body,
                                                ApiCallback<ApiCommand> callback)
                                         throws ApiException

      Migrate roles to a different host. (asynchronously) Migrate roles to a different host. <p> This command applies only to HDFS NameNode, JournalNode, and Failover Controller roles. In order to migrate these roles: <ul> <li>HDFS High Availability must be enabled, using quorum-based storage.</li> <li>HDFS must not be configured to use a federated nameservice.</li> </ul> <b>Migrating a NameNode or JournalNode role requires cluster downtime</b>. HDFS, along with all of its dependent services, will be stopped at the beginning of the migration process, and restarted at its conclusion. <p>If the active NameNode is selected for migration, a manual failover will be performed before the role is migrated. The role will remain in standby mode after the migration is complete. <p>When migrating a NameNode role, the co-located Failover Controller role must be migrated as well if automatic failover is enabled. The Failover Controller role name must be included in the list of role names to migrate specified in the arguments to this command (it will not be included implicitly). This command does not allow a Failover Controller role to be moved by itself, although it is possible to move a JournalNode independently. <p> Available since API v10.
      Parameters:
        `hostId` - The ID of the host on which the roles to migrate currently reside (required)
        `body` - Arguments for the command. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readHostCall

          public okhttp3.Call readHostCall(String hostId,
                                           String view,
                                           ProgressResponseBody.ProgressListener progressListener,
                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                    throws ApiException

      Build call for readHost
      Parameters:
        `hostId` - The ID of the host to read. (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to full)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readHost

          public ApiHost readHost(String hostId,
                                  String view)
                           throws ApiException

      Returns a specific Host in the system. Returns a specific Host in the system.
      Parameters:
        `hostId` - The ID of the host to read. (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to full)
      Returns:
        ApiHost
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostWithHttpInfo

          public ApiResponse<ApiHost> readHostWithHttpInfo(String hostId,
                                                           String view)
                                                    throws ApiException

      Returns a specific Host in the system. Returns a specific Host in the system.
      Parameters:
        `hostId` - The ID of the host to read. (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to full)
      Returns:
        ApiResponse<ApiHost>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostAsync

          public okhttp3.Call readHostAsync(String hostId,
                                            String view,
                                            ApiCallback<ApiHost> callback)
                                     throws ApiException

      Returns a specific Host in the system. (asynchronously) Returns a specific Host in the system.
      Parameters:
        `hostId` - The ID of the host to read. (required)
        `view` - The view to materialize. Defaults to 'full'. (optional, default to full)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readHostConfigCall

          public okhttp3.Call readHostConfigCall(String hostId,
                                                 String view,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for readHostConfig
      Parameters:
        `hostId` - The ID of the host. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readHostConfig

          public ApiConfigList readHostConfig(String hostId,
                                              String view)
                                       throws ApiException

      Retrieves the configuration of a specific host. Retrieves the configuration of a specific host.
      Parameters:
        `hostId` - The ID of the host. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostConfigWithHttpInfo

          public ApiResponse<ApiConfigList> readHostConfigWithHttpInfo(String hostId,
                                                                       String view)
                                                                throws ApiException

      Retrieves the configuration of a specific host. Retrieves the configuration of a specific host.
      Parameters:
        `hostId` - The ID of the host. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostConfigAsync

          public okhttp3.Call readHostConfigAsync(String hostId,
                                                  String view,
                                                  ApiCallback<ApiConfigList> callback)
                                           throws ApiException

      Retrieves the configuration of a specific host. (asynchronously) Retrieves the configuration of a specific host.
      Parameters:
        `hostId` - The ID of the host. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readHostsCall

          public okhttp3.Call readHostsCall(String configName,
                                            String configValue,
                                            String view,
                                            ProgressResponseBody.ProgressListener progressListener,
                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                     throws ApiException

      Build call for readHosts
      Parameters:
        `configName` - Optional host config name to filter hosts by. Available from v40. (optional)
        `configValue` - host config value associated with config name. Available from v40. (optional)
        `view` - The view to materialize (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readHosts

          public ApiHostList readHosts(String configName,
                                       String configValue,
                                       String view)
                                throws ApiException

      Returns hosts in the system filtered by optional host configuration parameters, if specified. Returns hosts in the system filtered by optional host configuration parameters, if specified.
      Parameters:
        `configName` - Optional host config name to filter hosts by. Available from v40. (optional)
        `configValue` - host config value associated with config name. Available from v40. (optional)
        `view` - The view to materialize (optional, default to summary)
      Returns:
        ApiHostList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostsWithHttpInfo

          public ApiResponse<ApiHostList> readHostsWithHttpInfo(String configName,
                                                                String configValue,
                                                                String view)
                                                         throws ApiException

      Returns hosts in the system filtered by optional host configuration parameters, if specified. Returns hosts in the system filtered by optional host configuration parameters, if specified.
      Parameters:
        `configName` - Optional host config name to filter hosts by. Available from v40. (optional)
        `configValue` - host config value associated with config name. Available from v40. (optional)
        `view` - The view to materialize (optional, default to summary)
      Returns:
        ApiResponse<ApiHostList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostsAsync

          public okhttp3.Call readHostsAsync(String configName,
                                             String configValue,
                                             String view,
                                             ApiCallback<ApiHostList> callback)
                                      throws ApiException

      Returns hosts in the system filtered by optional host configuration parameters, if specified. (asynchronously) Returns hosts in the system filtered by optional host configuration parameters, if specified.
      Parameters:
        `configName` - Optional host config name to filter hosts by. Available from v40. (optional)
        `configValue` - host config value associated with config name. Available from v40. (optional)
        `view` - The view to materialize (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readTagsCall

          public okhttp3.Call readTagsCall(String hostname,
                                           BigDecimal limit,
                                           BigDecimal offset,
                                           ProgressResponseBody.ProgressListener progressListener,
                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                    throws ApiException

      Build call for readTags
      Parameters:
        `hostname` - The name of the host (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readTags

          public List<ApiEntityTag> readTags(String hostname,
                                             BigDecimal limit,
                                             BigDecimal offset)
                                      throws ApiException

      Returns the tags associated with this host. Returns the tags associated with this host. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `hostname` - The name of the host (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> readTagsWithHttpInfo(String hostname,
                                                                      BigDecimal limit,
                                                                      BigDecimal offset)
                                                               throws ApiException

      Returns the tags associated with this host. Returns the tags associated with this host. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `hostname` - The name of the host (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsAsync

          public okhttp3.Call readTagsAsync(String hostname,
                                            BigDecimal limit,
                                            BigDecimal offset,
                                            ApiCallback<List<ApiEntityTag>> callback)
                                     throws ApiException

      Returns the tags associated with this host. (asynchronously) Returns the tags associated with this host. Tag names beginning with the prefix _cldr_ (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `hostname` - The name of the host (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### reallocateMemoryCall

          public okhttp3.Call reallocateMemoryCall(ApiHostNameList body,
                                                   ProgressResponseBody.ProgressListener progressListener,
                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                            throws ApiException

      Build call for reallocateMemory
      Parameters:
        `body` - A list of hosts identified by hostnames to perform reallocation on. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### reallocateMemory

          public ApiGenericResponse reallocateMemory(ApiHostNameList body)
                                              throws ApiException

      Performs memory reallocation on set of hosts. Performs memory reallocation on set of hosts
      Parameters:
        `body` - A list of hosts identified by hostnames to perform reallocation on. (optional)
      Returns:
        ApiGenericResponse
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### reallocateMemoryWithHttpInfo

          public ApiResponse<ApiGenericResponse> reallocateMemoryWithHttpInfo(ApiHostNameList body)
                                                                       throws ApiException

      Performs memory reallocation on set of hosts. Performs memory reallocation on set of hosts
      Parameters:
        `body` - A list of hosts identified by hostnames to perform reallocation on. (optional)
      Returns:
        ApiResponse<ApiGenericResponse>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### reallocateMemoryAsync

          public okhttp3.Call reallocateMemoryAsync(ApiHostNameList body,
                                                    ApiCallback<ApiGenericResponse> callback)
                                             throws ApiException

      Performs memory reallocation on set of hosts. (asynchronously) Performs memory reallocation on set of hosts
      Parameters:
        `body` - A list of hosts identified by hostnames to perform reallocation on. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### removeHostsFromClusterCall

          public okhttp3.Call removeHostsFromClusterCall(ApiHostsToRemoveArgs body,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for removeHostsFromCluster
      Parameters:
        `body` - The list of hosts to remove from cluster or delete from CM (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### removeHostsFromCluster

          public ApiCommand removeHostsFromCluster(ApiHostsToRemoveArgs body)
                                            throws ApiException

      Decommissions and deletes all non management roles from the list of hosts and removes the hosts from the cluster. Decommissions and deletes all non management roles from the list of hosts and removes the hosts from the cluster. Also additionally delete the hosts if deleteHosts is set to true.
      Parameters:
        `body` - The list of hosts to remove from cluster or delete from CM (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeHostsFromClusterWithHttpInfo

          public ApiResponse<ApiCommand> removeHostsFromClusterWithHttpInfo(ApiHostsToRemoveArgs body)
                                                                     throws ApiException

      Decommissions and deletes all non management roles from the list of hosts and removes the hosts from the cluster. Decommissions and deletes all non management roles from the list of hosts and removes the hosts from the cluster. Also additionally delete the hosts if deleteHosts is set to true.
      Parameters:
        `body` - The list of hosts to remove from cluster or delete from CM (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### removeHostsFromClusterAsync

          public okhttp3.Call removeHostsFromClusterAsync(ApiHostsToRemoveArgs body,
                                                          ApiCallback<ApiCommand> callback)
                                                   throws ApiException

      Decommissions and deletes all non management roles from the list of hosts and removes the hosts from the cluster. (asynchronously) Decommissions and deletes all non management roles from the list of hosts and removes the hosts from the cluster. Also additionally delete the hosts if deleteHosts is set to true.
      Parameters:
        `body` - The list of hosts to remove from cluster or delete from CM (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### resetHostIdCall

          public okhttp3.Call resetHostIdCall(String hostId,
                                              String newHostId,
                                              ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for resetHostId
      Parameters:
        `hostId` - The ID of the host that should be affected. (required)
        `newHostId` - New ID the the host should report. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### resetHostId

          public ApiCommand resetHostId(String hostId,
                                        String newHostId)
                                 throws ApiException

      Forces agent on specified host to switch to reporting a different host id. Forces agent on specified host to switch to reporting a different host id.
      Parameters:
        `hostId` - The ID of the host that should be affected. (required)
        `newHostId` - New ID the the host should report. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### resetHostIdWithHttpInfo

          public ApiResponse<ApiCommand> resetHostIdWithHttpInfo(String hostId,
                                                                 String newHostId)
                                                          throws ApiException

      Forces agent on specified host to switch to reporting a different host id. Forces agent on specified host to switch to reporting a different host id.
      Parameters:
        `hostId` - The ID of the host that should be affected. (required)
        `newHostId` - New ID the the host should report. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### resetHostIdAsync

          public okhttp3.Call resetHostIdAsync(String hostId,
                                               String newHostId,
                                               ApiCallback<ApiCommand> callback)
                                        throws ApiException

      Forces agent on specified host to switch to reporting a different host id. (asynchronously) Forces agent on specified host to switch to reporting a different host id.
      Parameters:
        `hostId` - The ID of the host that should be affected. (required)
        `newHostId` - New ID the the host should report. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### stopAllRolesOnNodeGracefullyCall

          public okhttp3.Call stopAllRolesOnNodeGracefullyCall(String hostname,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for stopAllRolesOnNodeGracefully
      Parameters:
        `hostname` - The name of the host on which all the roles needs to be stopped. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### stopAllRolesOnNodeGracefully

          public ApiCommand stopAllRolesOnNodeGracefully(String hostname)
                                                  throws ApiException

      . <p></p>Gracefully stops all roles that support it; otherwise, performs a simple stop on the provided host.</p>
      Parameters:
        `hostname` - The name of the host on which all the roles needs to be stopped. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopAllRolesOnNodeGracefullyWithHttpInfo

          public ApiResponse<ApiCommand> stopAllRolesOnNodeGracefullyWithHttpInfo(String hostname)
                                                                           throws ApiException

      . <p></p>Gracefully stops all roles that support it; otherwise, performs a simple stop on the provided host.</p>
      Parameters:
        `hostname` - The name of the host on which all the roles needs to be stopped. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopAllRolesOnNodeGracefullyAsync

          public okhttp3.Call stopAllRolesOnNodeGracefullyAsync(String hostname,
                                                                ApiCallback<ApiCommand> callback)
                                                         throws ApiException

      . (asynchronously) <p></p>Gracefully stops all roles that support it; otherwise, performs a simple stop on the provided host.</p>
      Parameters:
        `hostname` - The name of the host on which all the roles needs to be stopped. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateHostCall

          public okhttp3.Call updateHostCall(String hostId,
                                             ApiHost body,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for updateHost
      Parameters:
        `hostId` - The hostId to update (required)
        `body` - The updated host object. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateHost

          public ApiHost updateHost(String hostId,
                                    ApiHost body)
                             throws ApiException

      . <p>Update an existing host in the system.</p> <p>Currently, only updating the rackId is supported. All other fields of the host will be ignored.</p>
      Parameters:
        `hostId` - The hostId to update (required)
        `body` - The updated host object. (optional)
      Returns:
        ApiHost
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateHostWithHttpInfo

          public ApiResponse<ApiHost> updateHostWithHttpInfo(String hostId,
                                                             ApiHost body)
                                                      throws ApiException

      . <p>Update an existing host in the system.</p> <p>Currently, only updating the rackId is supported. All other fields of the host will be ignored.</p>
      Parameters:
        `hostId` - The hostId to update (required)
        `body` - The updated host object. (optional)
      Returns:
        ApiResponse<ApiHost>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateHostAsync

          public okhttp3.Call updateHostAsync(String hostId,
                                              ApiHost body,
                                              ApiCallback<ApiHost> callback)
                                       throws ApiException

      . (asynchronously) <p>Update an existing host in the system.</p> <p>Currently, only updating the rackId is supported. All other fields of the host will be ignored.</p>
      Parameters:
        `hostId` - The hostId to update (required)
        `body` - The updated host object. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateHostConfigCall

          public okhttp3.Call updateHostConfigCall(String hostId,
                                                   ApiConfigList body,
                                                   String message,
                                                   ProgressResponseBody.ProgressListener progressListener,
                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                            throws ApiException

      Build call for updateHostConfig
      Parameters:
        `hostId` - The ID of the host. (required)
        `body` - Configuration changes. (optional)
        `message` - Optional message describing the changes. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateHostConfig

          public ApiConfigList updateHostConfig(String hostId,
                                                ApiConfigList body,
                                                String message)
                                         throws ApiException

      Updates the host configuration with the given values. Updates the host configuration with the given values. <p> If a value is set in the given configuration, it will be added to the host's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `hostId` - The ID of the host. (required)
        `body` - Configuration changes. (optional)
        `message` - Optional message describing the changes. (optional)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateHostConfigWithHttpInfo

          public ApiResponse<ApiConfigList> updateHostConfigWithHttpInfo(String hostId,
                                                                         ApiConfigList body,
                                                                         String message)
                                                                  throws ApiException

      Updates the host configuration with the given values. Updates the host configuration with the given values. <p> If a value is set in the given configuration, it will be added to the host's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `hostId` - The ID of the host. (required)
        `body` - Configuration changes. (optional)
        `message` - Optional message describing the changes. (optional)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateHostConfigAsync

          public okhttp3.Call updateHostConfigAsync(String hostId,
                                                    ApiConfigList body,
                                                    String message,
                                                    ApiCallback<ApiConfigList> callback)
                                             throws ApiException

      Updates the host configuration with the given values. (asynchronously) Updates the host configuration with the given values. <p> If a value is set in the given configuration, it will be added to the host's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `hostId` - The ID of the host. (required)
        `body` - Configuration changes. (optional)
        `message` - Optional message describing the changes. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.